* {
  box-sizing: border-box;
}

body {
  margin: 1% 10% 0 10%;
  color: #000;
  background: #fff;
  font: sans-serif;
  font-family: "Arial";
}
/* SECTIONS:
	1. Header: logo; strapline; Nav bar; Top(fb&Twitter)border
	2. Page content; Marquee; Side-bar
	3. Posts
	4. 404 Error
	5. Members Portal: logon; error; logout button
	6. Contact Form
	7. Footer 
*/
	
/* 1. MAIN HEADER - includes logo and strap line*/

.site-header {
  background-color: #fff;
  padding: 0; 
  margin: 0;
}
.site-header img{
  display: inline;
  vertical-align: middle;
  max-width: 20%;
} 
.site-header h3 {
  display: inline-block;
  text-align: center;
  color: #ff8000 ;
  margin-left: 10%;  
}
@media screen and (max-width : 768px){
	.site-header img{
		  max-width: 30%;
	} 
	.site-header h3 {
		font-size: 0.75em;
	}
}

/* NAVIGATION BAR */

.menu-box {
  margin: 10px 0 10px 0;
  width: fit-content;
  height: 40px; 
  position: static; 
}

/*Strip the ul of padding and list styling*/
.menu-box ul {
    list-style-type:none;
    margin:0;
    padding:0;
}
/*Create a horizontal list with spacing*/
.menu-box li {
    display:inline-block;
	height: 30px;
    float: left;
    margin-right: 1px;
}
/*Style for menu links*/
.menu-box li a {
    display:block;
	position: relative;  /* needs position relative and z-index in order that drop down menu is on top of other elements */ 
	z-index: 999;
   	margin: auto 0 0 0;
	width: inherit;
    text-align: center;
    vertical-align: middle;
    color: #fff;
	padding: 10px 2px 10px 2px;
    border-top: 2px solid #ff8000 ;
	border-left: 2px solid #fff;
	border-right: 2px solid #fff;
	border-bottom: 2px solid #ff8000 ;
	background-color: #ff8000 ;
    text-decoration: none;
}
/*Hide dropdown links until they are needed*/
.menu-box li ul {
    display: none;
}
/*Make dropdown links vertical*/
.menu-box li ul li {
    display: block;
    float: none;
}
/*Prevent text wrapping*/
.menu-box li ul li a {
    width: 100%;
    padding: 0 20px;
}
/* code to change colour of menu item for active page*/
.menu-box ul li.current_page_item > a,
.menu-box ul li.current-menu-ancestor > a,
.menu-box ul li.current-menu-item > a,
.menu-box ul li.current-menu-parent > a {
    background: #aaa;
}
/* Restrict hover code to devices with hover capability */
/* Internet Explorer does not cope well with @media settings - 
   adding screen\0 is a hack which makes it use the code below!! */
@media (hover: hover) and (pointer: fine), screen\0 {
/*Hover state for top level links*/
.menu-box li:hover a {
    background: #000;
}
/*Style for dropdown links*/
.menu-box li:hover ul a {
    background: #ffa500;
    color: #fff;
    height: 30px;
  }
/*Hover state for dropdown links*/
.menu-box li:hover ul a:hover {
    background: #000;
    color: #fff;
}
/*Display the dropdown on hover*/
.menu-box ul li a:hover + .sub-menu, .sub-menu:hover {
    display: block;
}
}
	
 /*Responsive Styles for the Navigation Bar */

/*Style 'show menu' label button and hide it by default*/
.show-menu {
    text-decoration: none;
    color: #fff;
    background: #ff8000 ;
    text-align: center;
    padding: 10px 0;
	width: 100%;
    display: none;
	cursor: pointer;
}
/*Hide checkbox*/
input[type=checkbox]{
    display:none;
}
/*Show menu when invisible checkbox is checked*/
input[type=checkbox]:checked ~ ul{
    display: block;
}
/* Use the expanded vertical menu for smaller screens and  larger touch screens */
@media screen and (max-width : 1200px), screen and (hover: none) {
	.menu-box {
	 width: 100%;
	 margin: 10px 0 0 0;
	}	 
    /*Make dropdown links appear inline*/
    .menu-box ul {
        position: static;
        display: none;
	}
    /*Create vertical spacing*/
    .menu-box li {
		height: auto;
        margin-top: 1px;
		margin-bottom: 1px;
    }
    /*Make menu links full width*/
    .menu-box  li a {
        width: 100%;
		font-size: 90%;
    }
	/*Make sub-menu links narrower*/
    .menu-box ul li {
        width: 75%;
		font-size: 90%;
    }
	/*No hover option on mobiles - so display all dropdown links*/
.menu-box li ul  {
    display: block;
}
/*Click state (brief) for dropdown links*/
.menu-box li:active ul a:active {
    background: #000;
    color: #fff;
}
    /*Display 'show menu' link*/
    .show-menu {
        display: block;
    }
}

/* End of Navigation Bar coding */


/* FB  & TWITTER BORDER */
.top-border {
  width: 100%;
  float: left; /* to keep image in border in responsive setting */
  background-color: #ff8000 ;
  height: 40px;
  margin-top: 30px;
 }
.top-border img{
	display: inline-block;
	float: right;
	width: 20px;
	border-radius: 5px;
	margin: 5px 5px 5px 5px;
}
/*Reduce top margin when vertical menu is used */
@media screen and (max-width : 1200px), screen and (hover: none) {
	.top-border {
		  margin-top: 10px;
	}
}	
/* END OF HEADER SECTION */

/* 2. PAGE CONTENT SECTION */
/* For content and side-bar - can use .column on its own when no sidebar required */

.column {
  float: left;
  width: 100%;
  overflow: hidden;
}
/* Style for page headers */
.column h1 {
	color: #ff8000 ;
}
.column p {
	display: block;
	padding:0;
} 
/* Content column */
.column.content {
	width: 75%;
	background-color: #fff;
	margin-bottom: -99999px;
	padding-bottom: 99999px;
}
.column.content img {
	display: block;
	float: left;
	width: 45%;	
	margin-right: 5%;
	border: 1px solid #d9d9d9;
	} 
.column.content #home-img {
	position: static;
	display: inline-block;	
	width: 40%;
	margin: 3%;
	border: 2px solid #d9d9d9;
}
.column.content p {
	display: block;
	padding-right: 4%;
} 
/* Use two content columns for the contact-us page to improve the form layout across different browsers */
.column.contact1 {
	width: 35%;
	background-color: #fff;
	margin-bottom: -99999px;
	padding-bottom: 99999px;
}
.column.contact1 img {
	display: block;
	float: left;
	width: 100%;	
	margin-right: 5%;
	border: 1px solid #d9d9d9;
	}
.column.contact2 {
	width: 40%;
	padding: 40px 2% 10px 5%;
	background-color: #fff;
	margin-bottom: -99999px;
	padding-bottom: 99999px;
}

/* side-bar column */
.column.side {
	width: 25%;
	text-align: center;
	background-color: #ff8000 ;
	padding-top: 20px;
	margin-bottom: -99999px;
	padding-bottom: 99999px;
}
/* side-bar text */
.column.side h4 {
			text-align: center;
			margin: 0;
			padding-top: 20px; 
			color: #fff;
}
.column.side #ptext {
			text-align: center;
			padding: 0 10% 0 10%;
			font-weight: bold;
			color: #fff;
}
.column.side #itext {
			text-align: center;
			padding: 0 10% 0 10%;
			font-style: italic;
			font-weight: bold;
			color: #fff;
}
/* Reduce font size on smaller screens where 2-column layout is used */
@media screen and (min-width: 601px) and (max-width: 1200px) {
	.column.side  #itext {
		font-size:75%;
	}
		.column.side  #ptext {
		font-size:75%;
	}
}	
/* Side-bar image */
.column.side img {
			display:block;
			width: 90%;
			height: auto;
			margin: 0 auto;
			padding:  10px 15px 30px 15px;
}
/* Alternative for when no poster has been uploaded or set as featured image */
.column.side #concert-hold {
			display: block;
			margin-top: 10px;
			margin: 0 auto;
			padding: 30px 15px 30px 15px;
			font-size: 150%; 
			text-align: center;
			background-color: #fff;
			color: #ff8000 ;
			height: auto;
			width: 80%;
			border: 2px solid #000;
			
	}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Responsive layout - makes the columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
  .column.content {
    width: 100%;
	border-right:10px solid #ff8000 ;
  }
  .column.side {
    width: 100%;
  }
  .column.side img {
			width: 50%;
  }
  .column.contact1 {
	    width: 100%;
	    border-right:10px solid #ff8000 ;
  }	
  .column.contact2 {
	    width: 100%;
	    border-right:10px solid #ff8000 ;
		padding-top:10px;
  } 
.column.contact1 img {
		width: 50%;
  }
}

/* MARQUEE/TICKER */
/* Styling to create a ticker stream */

@keyframes ticker {
    0% { transform: translate3d(0, 0, 0); }
    100% { transform: translate3d(-100%, 0, 0); }
  }
  .tcontainer{
    overflow: hidden;
    border: 2px solid #ff8000 ;
	border-right-width: 0;
  }
  .ticker-wrap {
    width: 100%;
    padding-left: 100%;
    background-color: #d9d9d9;
    color: #ff8000 ;
    box-sizing: content-box;
  }
  .ticker-move {
    display: inline-block;
    white-space: nowrap;
    padding-right: 100%;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-name: ticker;
    animation-duration: 15s;
  }
  .ticker-move:hover{
    animation-play-state: paused;
  }
  .ticker-item{
    display: inline-block;
  }

/* END OF PAGE CONTENT SECTION */

/* 3. POSTS SECTION */
/* Layout for blog page (past concerts)*/
/*Post separator*/
div.post {
	border-top: 2px solid #999;
}
div.post:last-of-type {
	border-bottom: none;
}
/* END OF POSTS SECTION */

/* 4. 404 ERROR PAGE */
.page-404 {
  display: block;
}
.page-404 p {
  color: #ff8000 ;
  margin: 80px 0 80px 0;
  text-align: center;
  font-weight: bold;
  font-size: 150%;
}

/* END OF 404 ERROR PAGE */

/* 5. MEMBERS PORTAL */
/* LOGON PAGE */

.ycs_loginForm2 {
	display: block;
	width: 80%;
	margin:auto;
	padding: 2% 20% 5% 20%;
}	
.ycs_loginForm2 #loginform {
	display: block;
}

.ycs_error {
	display: block;
	width: 80%;
	background-color: #ffa500;
	border: 3px solid #ff8000 ;
	text-align: center;
	color: #fff;
	font-weight: 400;
	margin-top: 5px;
	margin-bottom: 20px;
	padding: 5px;
}

/* LOGOUT BUTTON */

.logout_button  a:link {
	/* position: relative; */
	display: inline-block;
	margin: 8px 5px;
	background-color: #fff ;
	color: #ff8000 ;
	border: 2px solid #fff ;
	border-radius: 4px;
	padding: 2px 10px;
	text-align: center;
	text-decoration: none;

}

.logout_button a:hover, a:active {
	background-color: #000000;
	color: #fff;
}

/* END OF MEMBERS PORTAL */

/* 6. CONTACT FORM (ycs_contact_form plugin) */

.cont_form {
	display: block;
	width: 100%;
	margin: 0 auto;
}	
.cont_form textarea {
  width: 80%;
  height: 120px;
  padding: 10px;
  margin:0;
  box-sizing: border-box;
  border: 1px solid #000;
  resize: none;
} 

.cont_form input[type=submit] {
  background-color: #ff8000 ;
  color: white;
  padding: 12px 20px;
  margin-bottom: 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  float: left;
}

.cont_form input[type=submit]:hover {
    background-color: #000;
}
.cont_form p {
	color: #ff8000 ;
	margin-bottom: 0;
}
.cont_form h2 {
    color: #000;
    margin: 0;
}

/* 7. FOOTER */

.site-footer {
  width: 100%;
  text-align: center;
  margin-top: 5px;
  color: #ff8000 ;
  border-top: 2px solid #ff8000 ;
}
.site-footer #des-dev {
	font-size: 70%;
	font-weight: bold;
}
.site-footer #host-name {
	font-size: 60%;
	font-weight: bold;
}
.site-footer #randc {
	font-size: 70%;
	font-weight: bold;
}
.site-footer img {
	float: right;
	margin-top: 10px;
	width: 20%;
}
.foot-part {
  float: left;
  width: 33.33%;
}
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

/* END OF FOOTER */